Subject: Re: bug#21333: 25.0.50; window-size-change-functions not called after mini-window resize

From: Pip Cet <[email-masked]>
Date: Fri, 28 Aug 2015 08:19:29 +0000

On Fri, Aug 28, 2015 at 8:03 AM, martin rudalics <[email-masked]> wrote:

> >> FWIW here resizing a window "manually" makes the mini-window "go normal"
> >> first.
> >
> > Strange, that doesn't work here. Are you using the echo area or the
> > minibuffer to test? I'm using the minibuffer.
>
> It goes back to normal in the echo area but leaves the minibuffer window
> alone as you say.

I had assumed "go normal" meant "shrink back to normal size", which is true
for the echo area but not the minibuffer.

> >>    Resizing the frame leaves the mini-window alone.
> >>
> > ...which means they'll be in an inconsistent state afterwards, having
> been
> > resized while the mini-window was enlarged.
>
> Can you tell me more about this inconsistency?
>

Well, first, to clarify, I was talking about unpatched Emacs, and using
window-size-change-functions in an attempt to catch window size changes.

1. window at 80x24, mini-window at 1 line, window thinks it's 80x24.
Everything okay.
2. mini-window grows to 2 lines
3. window at 80x23, mini-window at 2 lines, window thinks it's 80x24.
Inconsistent, but temporary.
4. user resizes window to 79x23. size-change-functions called.
5. window at 79x23, mini-window at 2 lines, window thinks it's 79x23.
Everything okay again.
6. mini-window shrinks.
7. window at 79x24, mini-window at 1 line, window thinks it's 79x23.
Permanent inconsistency.

Am I missing something here?

Pip